on printForm
  global gSurname, gForeNames, gTitle, gDoB, gAddress1, gAddress2, gAddress3, gAddress4, gPostCode, gHomeNum, gDayNum, gBSoft, gMoney97, gMoney98
  set doc to new(xtra("PrintOMatic_Lite"))
  if not objectp(doc) then
    exit
  end if
  setDocumentName(doc, "Barclay PC Banking")
  setMargins(doc, rect(72, 90, 72, 90))
  setTextSize(doc, 16)
  setTextStyle(doc, "bold")
  append(doc, "BARCLAYS PC BANKING PERSONAL APPLICATION FORM")
  setTextSize(doc, 9)
  setTextStyle(doc, "italic")
  append(doc, " " & RETURN & RETURN)
  append(doc, "This application form is for applicants wishing to access only personal accounts using the Barclays PC Banking service. Please read the notes prior to completing and returning your application." & RETURN)
  setTextSize(doc, 12)
  setTextStyle(doc, "bold")
  append(doc, RETURN & "PERSONAL DETAILS" & RETURN & RETURN)
  setTextStyle(doc, "normal")
  append(doc, "Surname:" && gSurname & RETURN)
  append(doc, "Forenames:" && gForeNames & RETURN)
  append(doc, "Date of Birth:" && gDoB & RETURN)
  append(doc, "Address:" && gAddress1 & RETURN)
  append(doc, "               " && gAddress2 & RETURN)
  append(doc, "               " && gAddress3 & RETURN)
  append(doc, "               " && gAddress4 & RETURN)
  append(doc, "Postcode:" && gPostCode & RETURN)
  append(doc, "Home Phone No:" && gHomeNum & RETURN)
  append(doc, "DaytimePhone No:" && gDayNum & RETURN)
  setTextSize(doc, 12)
  setTextStyle(doc, "bold")
  append(doc, RETURN & "SOFTWARE REQUIREMENTS" & RETURN & RETURN)
  setTextStyle(doc, "normal")
  append(doc, "Barclays PC Banking software: [ ")
  if gBSoft then
    append(doc, "x ]" & RETURN)
  else
    append(doc, "  ]" & RETURN)
  end if
  append(doc, "Microsoft Money 97: [ ")
  if gMoney97 then
    append(doc, "x ]" & RETURN)
  else
    append(doc, "  ]" & RETURN)
  end if
  append(doc, "Microsoft Money 98: [ ")
  if gMoney98 then
    append(doc, "x ]" & RETURN)
  else
    append(doc, "  ]" & RETURN)
  end if
  setTextSize(doc, 12)
  setTextStyle(doc, "bold")
  append(doc, RETURN & "ACCOUNT INFORMATION" & RETURN & RETURN)
  setTextStyle(doc, "normal")
  setTextSize(doc, 10)
  append(doc, "CHARGING ACCOUNT" & RETURN)
  setTextSize(doc, 9)
  append(doc, "Please indicate below the account from which you would like the charges for Barclays PC Banking to be debited." & RETURN & RETURN)
  append(doc, "SORT CODE                    ACCOUNT NUMBER                     ACCOUNT NAME                ACCOUNT TYPE" & RETURN)
  setTextSize(doc, 9)
  setTextStyle(doc, "italic")
  append(doc, "                               |                                                    |                                                  |           CURRENT           |  * " & RETURN & RETURN)
  setTextStyle(doc, "normal")
  setTextSize(doc, 10)
  append(doc, "OTHER ACCOUNTS" & RETURN)
  setTextSize(doc, 9)
  append(doc, "Please indicate below other accounts to which you require direct access and on which you will be able to raise entries on your PC." & RETURN & RETURN)
  append(doc, "SORT CODE                    ACCOUNT NUMBER                     ACCOUNT NAME                ACCOUNT TYPE" & RETURN)
  setTextStyle(doc, "italic")
  repeat with n = 1 to 9
    append(doc, "                               |                                                    |                                                  |                                       |  * " & RETURN)
  end repeat
  append(doc, RETURN & "* For any joint account please tick to confirm that only one signature is required on cheques" & RETURN & RETURN & RETURN)
  setTextStyle(doc, "normal")
  setTextSize(doc, 10)
  append(doc, "Please tick here if you would like a Barclays Instant savings Account to be opened   [       ]" & RETURN)
  setTextSize(doc, 16)
  setTextStyle(doc, "bold")
  append(doc, "BARCLAYS PC BANKING PERSONAL APPLICATION FORM")
  setTextSize(doc, 12)
  setTextStyle(doc, "bold")
  append(doc, " " & RETURN)
  append(doc, RETURN & "AGREEMENT & AUTHORISATION" & RETURN & RETURN)
  setTextSize(doc, 8)
  setTextStyle(doc, "italic")
  append(doc, "In signing below, you are: 1. Applying to us, Barclays Bank PLC, for banking services including Barclays PC Banking. 2. Confirming that any details you have supplied are true and complete. 3. Authorising us to make credit references and other enquiries whenever you request any credit facilities, or if we wish to consider increasing your agreed limit or offering you other leading products. 4. Agreeing to accept the Personal Customer Terms and Conditions (March 1997) which contain your obligations to us and our obligations to you. These apply to all your present and future personal accounts with us. 5. You agree that if we or you terminate the PC Banking Service, you will return to us any software or equipment provided by us in connection with the service. If we need to revise the PC Banking service or software you will return, at our request, the software we have provided." & RETURN)
  setTextStyle(doc, "normal")
  setTextSize(doc, 12)
  append(doc, RETURN & "Signature 1" & RETURN & RETURN)
  append(doc, "Date" & RETURN & RETURN)
  append(doc, "Signature 2" & RETURN & RETURN)
  append(doc, "Date" & RETURN & RETURN)
  setTextSize(doc, 12)
  setTextStyle(doc, "bold, italic")
  append(doc, RETURN & "FOR OFFICE USE" & RETURN & RETURN)
  setTextSize(doc, 10)
  setTextStyle(doc, "normal")
  append(doc, "[   ] C    [   ] L    [   ] N    [   ] AD    [   ] JT    [   ] OS    [   ] CH" & RETURN & RETURN)
  append(doc, "URN                                             CID _ _ _ _ _ _ _ _ _ _" & RETURN)
  append(doc, "DAT" & RETURN)
  append(doc, "VER                                               DI _ _ _ _ _ _" & RETURN & RETURN)
  setTextSize(doc, 9)
  setTextStyle(doc, "italic")
  append(doc, "Branch Stamp: Please tick :  [   ] ACC    [   ] DCL" & RETURN & RETURN)
  append(doc, "Contact name:" & RETURN & RETURN)
  append(doc, "Ext:" & RETURN & RETURN)
  setTextStyle(doc, "italic, bold")
  append(doc, RETURN & "Regulated by IMRO and the Personal Investment Authority. Barclays Bank PLC represents only the Barclays marketing Group for life assurance, pensions and unit trust business. Registered in England. Reg No: 1026167. Reg Office: 54 Lombard Street, London, EC3P 3AH." & RETURN)
  setTextSize(doc, 12)
  setTextStyle(doc, "bold")
  append(doc, RETURN & RETURN & "ACCOMPANYING NOTES" & RETURN & RETURN)
  setTextSize(doc, 8)
  setTextStyle(doc, "normal")
  append(doc, member "notes text")
  setTextSize(doc, 12)
  setTextStyle(doc, "bold")
  append(doc, RETURN & RETURN & "TERMS AND CONDITIONS" & RETURN & RETURN)
  setTextSize(doc, 8)
  setTextStyle(doc, "normal")
  append(doc, member "terms text")
  if doJobSetup(doc) then
    print(doc)
  end if
  set doc to 0
end

on settempGlobals
  global gSurname, gForeNames, gDoB, gAddress1, gAddress2, gAddress3, gAddress4, gPostCode, gHomeNum, gDayNum, gBSoft, gMoney97, gMoney98
  set gSurname to "Smith"
  set gForeNames to "Bill Heidi"
  set gDoB to "12/34/64"
  set gAddress1 to "The House"
  set gAddress2 to "The Street"
  set gAddress3 to "The City"
  set gAddress4 to EMPTY
  set gPostCode to "LF6 8SD"
  set gHomeNum to "01234 567890"
  set gDayNum to "01234 098765"
  set gBSoft to 1
  set gMoney97 to 0
  set gMoney98 to 1
end
